Package org.apache.any23.vocab

## Class LKIFCoreTimeModification

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.LKIFCoreTimeModification

-     public class LKIFCoreTimeModification
      extends Vocabulary

  An implementation of the lkif-core vocabulary which is a library of ontologies relevant for the legal domain. The library consists of 15 modules, each of which describes a set of closely related concepts from both legal and commonsense domains.

  The modification module is both an extension of the time module and the legal action module. The time module is extended with numerous intervals and moments describing the efficacy and being in force of legal documents. The action module is extended with a typology of modifications. These concepts are described in further detail in Deliverable 3.2 of the ESTRELLA project.

  Author:
    lewismc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `Annulment` |
    `org.eclipse.rdf4j.model.IRI` | `application` |
    `org.eclipse.rdf4j.model.IRI` | `Application` |
    `org.eclipse.rdf4j.model.IRI` | `Application_Date` |
    `org.eclipse.rdf4j.model.IRI` | `Application_Interval` |
    `org.eclipse.rdf4j.model.IRI` | `date` |
    `org.eclipse.rdf4j.model.IRI` | `Delivery_Date` |
    `org.eclipse.rdf4j.model.IRI` | `Deregulation` |
    `org.eclipse.rdf4j.model.IRI` | `duration` |
    `org.eclipse.rdf4j.model.IRI` | `Dynamic_Temporal_Entity` |
    `org.eclipse.rdf4j.model.IRI` | `efficacy` |
    `org.eclipse.rdf4j.model.IRI` | `Efficacy_Interval` |
    `org.eclipse.rdf4j.model.IRI` | `Efficacy_Modification` |
    `org.eclipse.rdf4j.model.IRI` | `End_efficacy` |
    `org.eclipse.rdf4j.model.IRI` | `End_in_Force` |
    `org.eclipse.rdf4j.model.IRI` | `Enter_in_Force_Date` |
    `org.eclipse.rdf4j.model.IRI` | `Exception` |
    `org.eclipse.rdf4j.model.IRI` | `Existence_Date` |
    `org.eclipse.rdf4j.model.IRI` | `Extension` |
    `org.eclipse.rdf4j.model.IRI` | `final_date` |
    `org.eclipse.rdf4j.model.IRI` | `final_date_of` |
    `org.eclipse.rdf4j.model.IRI` | `in_force` |
    `org.eclipse.rdf4j.model.IRI` | `In_Force_Interval` |
    `org.eclipse.rdf4j.model.IRI` | `In_Force_Modification` |
    `org.eclipse.rdf4j.model.IRI` | `initial_date` |
    `org.eclipse.rdf4j.model.IRI` | `initial_date_of` |
    `org.eclipse.rdf4j.model.IRI` | `Integration` |
    `org.eclipse.rdf4j.model.IRI` | `Interpretation` |
    `org.eclipse.rdf4j.model.IRI` | `Modification` |
    `org.eclipse.rdf4j.model.IRI` | `Modification_of_Meaning` |
    `org.eclipse.rdf4j.model.IRI` | `Modification_of_Scope` |
    `org.eclipse.rdf4j.model.IRI` | `Modification_of_System` |
    `org.eclipse.rdf4j.model.IRI` | `Modification_of_Term` |
    `static String` | `NS` | The namespace of the vocabulary as a string.
    `org.eclipse.rdf4j.model.IRI` | `produce_efficacy_modification` |
    `org.eclipse.rdf4j.model.IRI` | `produce_inforce_modification` |
    `org.eclipse.rdf4j.model.IRI` | `produce_textual_modification` |
    `org.eclipse.rdf4j.model.IRI` | `Prorogation_Efficacy` |
    `org.eclipse.rdf4j.model.IRI` | `Prorogation_in_Force` |
    `org.eclipse.rdf4j.model.IRI` | `Publication_Date` |
    `org.eclipse.rdf4j.model.IRI` | `Ratification` |
    `org.eclipse.rdf4j.model.IRI` | `Relocation` |
    `org.eclipse.rdf4j.model.IRI` | `Remaking` |
    `org.eclipse.rdf4j.model.IRI` | `Renewal` |
    `org.eclipse.rdf4j.model.IRI` | `Repeal` |
    `org.eclipse.rdf4j.model.IRI` | `Retroactivity` |
    `org.eclipse.rdf4j.model.IRI` | `Semantic_Annotation` |
    `org.eclipse.rdf4j.model.IRI` | `Start_Efficacy` |
    `org.eclipse.rdf4j.model.IRI` | `Start_in_Force` |
    `org.eclipse.rdf4j.model.IRI` | `Static_Temporal_Entity` |
    `org.eclipse.rdf4j.model.IRI` | `Substitution` |
    `org.eclipse.rdf4j.model.IRI` | `Suspension` |
    `org.eclipse.rdf4j.model.IRI` | `Temporal_Modification` |
    `org.eclipse.rdf4j.model.IRI` | `Textual_Modification` |
    `org.eclipse.rdf4j.model.IRI` | `Transposition` |
    `org.eclipse.rdf4j.model.IRI` | `Ultractivity` |
    `org.eclipse.rdf4j.model.IRI` | `Variation` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LKIFCoreTimeModification` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      The namespace of the vocabulary as a string.
      See Also:
        Constant Field Values

    - #### Semantic_Annotation

          public final org.eclipse.rdf4j.model.IRI Semantic_Annotation

    - #### Modification

          public final org.eclipse.rdf4j.model.IRI Modification

    - #### Transposition

          public final org.eclipse.rdf4j.model.IRI Transposition

    - #### Ultractivity

          public final org.eclipse.rdf4j.model.IRI Ultractivity

    - #### Annulment

          public final org.eclipse.rdf4j.model.IRI Annulment

    - #### End_efficacy

          public final org.eclipse.rdf4j.model.IRI End_efficacy

    - #### Efficacy_Modification

          public final org.eclipse.rdf4j.model.IRI Efficacy_Modification

    - #### Modification_of_System

          public final org.eclipse.rdf4j.model.IRI Modification_of_System

    - #### Dynamic_Temporal_Entity

          public final org.eclipse.rdf4j.model.IRI Dynamic_Temporal_Entity

    - #### Remaking

          public final org.eclipse.rdf4j.model.IRI Remaking

    - #### Application

          public final org.eclipse.rdf4j.model.IRI Application

    - #### Ratification

          public final org.eclipse.rdf4j.model.IRI Ratification

    - #### Textual_Modification

          public final org.eclipse.rdf4j.model.IRI Textual_Modification

    - #### Prorogation_in_Force

          public final org.eclipse.rdf4j.model.IRI Prorogation_in_Force

    - #### Application_Date

          public final org.eclipse.rdf4j.model.IRI Application_Date

    - #### Retroactivity

          public final org.eclipse.rdf4j.model.IRI Retroactivity

    - #### Modification_of_Term

          public final org.eclipse.rdf4j.model.IRI Modification_of_Term

    - #### Efficacy_Interval

          public final org.eclipse.rdf4j.model.IRI Efficacy_Interval

    - #### Start_Efficacy

          public final org.eclipse.rdf4j.model.IRI Start_Efficacy

    - #### Substitution

          public final org.eclipse.rdf4j.model.IRI Substitution

    - #### Temporal_Modification

          public final org.eclipse.rdf4j.model.IRI Temporal_Modification

    - #### Suspension

          public final org.eclipse.rdf4j.model.IRI Suspension

    - #### In_Force_Modification

          public final org.eclipse.rdf4j.model.IRI In_Force_Modification

    - #### Publication_Date

          public final org.eclipse.rdf4j.model.IRI Publication_Date

    - #### Exception

          public final org.eclipse.rdf4j.model.IRI Exception

    - #### Modification_of_Meaning

          public final org.eclipse.rdf4j.model.IRI Modification_of_Meaning

    - #### Static_Temporal_Entity

          public final org.eclipse.rdf4j.model.IRI Static_Temporal_Entity

    - #### End_in_Force

          public final org.eclipse.rdf4j.model.IRI End_in_Force

    - #### Start_in_Force

          public final org.eclipse.rdf4j.model.IRI Start_in_Force

    - #### Integration

          public final org.eclipse.rdf4j.model.IRI Integration

    - #### Application_Interval

          public final org.eclipse.rdf4j.model.IRI Application_Interval

    - #### Interpretation

          public final org.eclipse.rdf4j.model.IRI Interpretation

    - #### Deregulation

          public final org.eclipse.rdf4j.model.IRI Deregulation

    - #### In_Force_Interval

          public final org.eclipse.rdf4j.model.IRI In_Force_Interval

    - #### Repeal

          public final org.eclipse.rdf4j.model.IRI Repeal

    - #### Modification_of_Scope

          public final org.eclipse.rdf4j.model.IRI Modification_of_Scope

    - #### Delivery_Date

          public final org.eclipse.rdf4j.model.IRI Delivery_Date

    - #### Enter_in_Force_Date

          public final org.eclipse.rdf4j.model.IRI Enter_in_Force_Date

    - #### Variation

          public final org.eclipse.rdf4j.model.IRI Variation

    - #### Existence_Date

          public final org.eclipse.rdf4j.model.IRI Existence_Date

    - #### Relocation

          public final org.eclipse.rdf4j.model.IRI Relocation

    - #### Prorogation_Efficacy

          public final org.eclipse.rdf4j.model.IRI Prorogation_Efficacy

    - #### Extension

          public final org.eclipse.rdf4j.model.IRI Extension

    - #### Renewal

          public final org.eclipse.rdf4j.model.IRI Renewal

    - #### initial_date

          public final org.eclipse.rdf4j.model.IRI initial_date

    - #### in_force

          public final org.eclipse.rdf4j.model.IRI in_force

    - #### final_date_of

          public final org.eclipse.rdf4j.model.IRI final_date_of

    - #### efficacy

          public final org.eclipse.rdf4j.model.IRI efficacy

    - #### initial_date_of

          public final org.eclipse.rdf4j.model.IRI initial_date_of

    - #### produce_efficacy_modification

          public final org.eclipse.rdf4j.model.IRI produce_efficacy_modification

    - #### duration

          public final org.eclipse.rdf4j.model.IRI duration

    - #### final_date

          public final org.eclipse.rdf4j.model.IRI final_date

    - #### application

          public final org.eclipse.rdf4j.model.IRI application

    - #### date

          public final org.eclipse.rdf4j.model.IRI date

    - #### produce_textual_modification

          public final org.eclipse.rdf4j.model.IRI produce_textual_modification

    - #### produce_inforce_modification

          public final org.eclipse.rdf4j.model.IRI produce_inforce_modification

  - ### Method Detail

    - #### getInstance

          public static LKIFCoreTimeModification getInstance()